function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef } from 'react';
import { merge } from '../sx';
import { useTheme } from '../ThemeProvider';
import Box from '../Box';
import { StyledButton } from './types';
import { getBaseStyles, getSizeStyles, getVariantStyles } from './styles';
import { useSSRSafeId } from '@react-aria/ssr';
const IconButton = /*#__PURE__*/forwardRef((props, forwardedRef) => {
  const {
    variant = 'default',
    size = 'medium',
    sx: sxProp = {},
    icon: Icon,
    iconLabel,
    ...rest
  } = props;
  const iconLabelId = useSSRSafeId();
  const {
    theme
  } = useTheme();
  const sxStyles = merge.all([getBaseStyles(theme), getSizeStyles(size, variant, true), getVariantStyles(variant, theme), sxProp]);
  return /*#__PURE__*/React.createElement(StyledButton, _extends({
    "aria-labelledby": iconLabelId,
    sx: sxStyles
  }, rest, {
    ref: forwardedRef
  }), /*#__PURE__*/React.createElement("span", {
    id: iconLabelId,
    hidden: true
  }, iconLabel), /*#__PURE__*/React.createElement(Box, {
    as: "span",
    sx: {
      display: 'inline-block'
    }
  }, /*#__PURE__*/React.createElement(Icon, null)));
});
export { IconButton };