import { themeGet } from '@styled-system/theme-get'; // eslint-disable-next-line import/no-namespace

import * as styledSystem from 'styled-system';
import theme from './theme';
const {
  get: getKey,
  compose,
  system
} = styledSystem;
export const get = key => themeGet(key, getKey(theme, key)); // Common props

export const COMMON = compose(styledSystem.space, styledSystem.color, styledSystem.display);
// Typography props
const whiteSpace = system({
  whiteSpace: {
    property: 'whiteSpace' // cssProperty: 'whiteSpace',

  }
});
export const TYPOGRAPHY = compose(styledSystem.typography, whiteSpace);
// Border props
export const BORDER = compose(styledSystem.border, styledSystem.shadow);
// Layout props
export const LAYOUT = styledSystem.layout;
// Position props
export const POSITION = styledSystem.position;
// Flex props
export const FLEX = styledSystem.flexbox;
// Grid props
export const GRID = styledSystem.grid;