"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ActionList = void 0;

var _List = require("./List");

var _Group = require("./Group");

var _Item = require("./Item");

var _Divider = require("./Divider");

/**
 * Collection of list-related components.
 */
const ActionList = Object.assign(_List.List, {
  /** Collects related `Items` in an `ActionList`. */
  Group: _Group.Group,

  /** An actionable or selectable `Item` with an optional icon and description. */
  Item: _Item.Item,

  /** Visually separates `Item`s or `Group`s in an `ActionList`. */
  Divider: _Divider.Divider
});
exports.ActionList = ActionList;