"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TrailingVisual = exports.LeadingVisual = exports.LeadingVisualContainer = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _sx = require("../sx");

var _constants = require("../constants");

var _Item = require("./Item");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const LeadingVisualContainer = ({
  sx = {},
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    as: "span",
    sx: (0, _sx.merge)({
      height: _Item.TEXT_ROW_HEIGHT,
      // match height of text row
      minWidth: (0, _constants.get)('space.3'),
      maxWidth: _Item.TEXT_ROW_HEIGHT,
      // square (same as height)
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      flexShrink: 0,
      marginRight: 2
    }, sx)
  }, props));
};

exports.LeadingVisualContainer = LeadingVisualContainer;
LeadingVisualContainer.displayName = "LeadingVisualContainer";

const LeadingVisual = ({
  sx = {},
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Item.Slot, {
    name: "LeadingVisual"
  }, ({
    variant,
    disabled
  }) => /*#__PURE__*/_react.default.createElement(LeadingVisualContainer, _extends({
    sx: (0, _sx.merge)({
      color: (0, _Item.getVariantStyles)(variant, disabled).iconColor,
      svg: {
        fontSize: 0
      }
    }, sx)
  }, props), props.children));
};

exports.LeadingVisual = LeadingVisual;
LeadingVisual.displayName = "LeadingVisual";

const TrailingVisual = ({
  sx = {},
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement(_Item.Slot, {
    name: "TrailingVisual"
  }, ({
    variant,
    disabled
  }) => /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    as: "span",
    sx: (0, _sx.merge)({
      height: '20px',
      // match height of text row
      flexShrink: 0,
      color: (0, _Item.getVariantStyles)(variant, disabled).annotationColor,
      marginLeft: 2
    }, sx)
  }, props), props.children));
};

exports.TrailingVisual = TrailingVisual;
TrailingVisual.displayName = "TrailingVisual";