"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

var _sx = _interopRequireDefault(require("../sx"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// SelectMenu.Header is intentionally not exported, it's an internal component used in
// SelectMenu.Modal
const SelectMenuTitle = _styledComponents.default.h3.withConfig({
  displayName: "SelectMenuHeader__SelectMenuTitle",
  componentId: "sc-1k6uprj-0"
})(["color:", ";flex:auto;font-size:", ";font-weight:", ";margin:0;@media (min-width:", "){font-size:inherit;}"], (0, _constants.get)('colors.fg.default'), (0, _constants.get)('fontSizes.1'), (0, _constants.get)('fontWeights.bold'), (0, _constants.get)('breakpoints.0'));

const StyledHeader = _styledComponents.default.header.withConfig({
  displayName: "SelectMenuHeader__StyledHeader",
  componentId: "sc-1k6uprj-1"
})(["display:flex;flex:none;padding:", ";border-bottom:", " solid ", ";@media (min-width:", "){padding-top:", ";padding-bottom:", ";}", ";"], (0, _constants.get)('space.3'), (0, _constants.get)('borderWidths'), (0, _constants.get)('colors.border.muted'), (0, _constants.get)('breakpoints.0'), (0, _constants.get)('space.2'), (0, _constants.get)('space.2'), _sx.default);

const SelectMenuHeader = ({
  children,
  theme,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(StyledHeader, _extends({
    theme: theme
  }, rest), /*#__PURE__*/_react.default.createElement(SelectMenuTitle, {
    theme: theme
  }, children));
};

SelectMenuHeader.displayName = "SelectMenuHeader";
SelectMenuHeader.displayName = 'SelectMenu.Header';
var _default = SelectMenuHeader;
exports.default = _default;