"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

var _TokenBase = require("./TokenBase");

var _Token = _interopRequireDefault(require("./Token"));

var _ = require("..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AvatarContainer = _styledComponents.default.span.withConfig({
  displayName: "AvatarToken__AvatarContainer",
  componentId: "sc-xcr89h-0"
})(["--spacing:calc(", " * 2);display:block;height:", ";width:", ";"], (0, _constants.get)('space.1'), props => `calc(${_TokenBase.tokenSizes[props.avatarSize]} - var(--spacing))`, props => `calc(${_TokenBase.tokenSizes[props.avatarSize]} - var(--spacing))`);

const AvatarToken = /*#__PURE__*/(0, _react.forwardRef)(({
  avatarSrc,
  id,
  size,
  ...rest
}, forwardedRef) => {
  return /*#__PURE__*/_react.default.createElement(_Token.default, _extends({
    leadingVisual: () => /*#__PURE__*/_react.default.createElement(AvatarContainer, {
      avatarSize: size || _TokenBase.defaultTokenSize
    }, /*#__PURE__*/_react.default.createElement(_.Avatar, {
      src: avatarSrc,
      size: parseInt(_TokenBase.tokenSizes[size || _TokenBase.defaultTokenSize], 10),
      sx: {
        width: '100%',
        height: '100%'
      }
    })),
    size: size,
    id: id === null || id === void 0 ? void 0 : id.toString(),
    sx: {
      paddingLeft: (0, _constants.get)('space.1')
    }
  }, rest, {
    ref: forwardedRef
  }));
});
AvatarToken.defaultProps = {
  size: _TokenBase.defaultTokenSize
};
AvatarToken.displayName = 'AvatarToken';
var _default = AvatarToken;
exports.default = _default;