"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _octiconsReact = require("@primer/octicons-react");

var _react = _interopRequireDefault(require("react"));

var _ = require(".");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const validationIconMap = {
  success: _octiconsReact.CheckCircleFillIcon,
  error: _octiconsReact.AlertFillIcon
};
const validationColorMap = {
  success: 'success.fg',
  error: 'danger.fg'
};

const InputValidation = ({
  children,
  id,
  validationStatus
}) => {
  const IconComponent = validationStatus ? validationIconMap[validationStatus] : undefined;
  const fgColor = validationStatus ? validationColorMap[validationStatus] : undefined;
  return /*#__PURE__*/_react.default.createElement(_.Text, {
    display: "flex",
    color: fgColor,
    fontSize: 0,
    sx: {
      alignItems: 'baseline',
      a: {
        color: 'currentColor',
        textDecoration: 'underline'
      }
    }
  }, IconComponent && /*#__PURE__*/_react.default.createElement(_.Box, {
    as: "span",
    mr: 1
  }, /*#__PURE__*/_react.default.createElement(IconComponent, {
    size: 12,
    fill: "currentColor"
  })), /*#__PURE__*/_react.default.createElement("span", {
    id: id
  }, children));
};

InputValidation.displayName = "InputValidation";
var _default = InputValidation;
exports.default = _default;